BORG-DELETE(1)

NAME
borg-delete - Delete an existing repository or archives

SYNOPSIS

borg [common options] delete <options> TARGET

DESCRIPTION

This command deletes an archive from the repository or the complete repository. Disk space is reclaimed accordingly. If you delete the complete repository, the local cache for it (if any) is also deleted.

OPTIONS

See borg-common(1) for common options of Borg commands.

  arguments

TARGET
    archive or repository to delete

  optional arguments

-s, --stats
    print statistics for the deleted archive

-c, --cache-only
    delete only the local cache for the given repository

--force
    force deletion of corrupted archives, use --force --force in case --force does not work.

--save-space
    work slower, but using less space

  filters

-P, --prefix
    only consider archive names starting with this prefix

--sort-by
    Comma-separated list of sorting keys; valid keys are: timestamp, name, id; default is: timestamp

--first N
    consider first N archives after other filters were applied

--last N
    consider last N archives after other filters were applied

EXAMPLES

# delete a single backup archive:
$ borg delete /path/to/repo::Monday
# delete the whole repository and the related local cache:
$ borg delete /path/to/repo
You requested to completely DELETE the repository *including* all archives it contains:
repo                                 Mon, 2016-02-15 19:26:54
root-2016-02-15                      Mon, 2016-02-15 19:36:29
newname                              Mon, 2016-02-15 19:50:19
Type 'YES' if you understand this and want to continue: YES

SEE ALSO

borg-common(1)

AUTHOR
The Borg Collective